%define         configfilename        sample.wmcalc

Name:           wmcalc
Version:        0.7
Release:        %mkrel 3
Summary:        A dock application that is a simple four function calculator
License:        GPLv2
Group:          Monitoring

URL:            http://repo.or.cz/w/dockapps.git/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)


%description
wmcalc is a program designed to act as a simple four-function
calculator. It is different from other calculator programs in that it
is designed to take up very little desktop space. As such, it can be
left running on the desktop at all times.  It is intended to placed in
the WindowMaker dock but will nicely work with any window manager and
desktop environment that handles dock applications. Various options
can be changed in an easy-to-understand configuration file ".wmcalc",
assumed to reside in your home directory, an example of which being
provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%autosetup -p1

%build
autoreconf -fi
#setup_compile_flags
%configure
%make_build


%install
%__install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
%__install -D -m 644 wmcalc.conf %{buildroot}%{_datadir}/%{name}/%configfilename
%__install -D -m 644 wmcalc.conf %{buildroot}%{_sysconfdir}/wmcalc.conf
%__install -D -m 644 *.xpm %{buildroot}%{_datadir}/%{name}
%__install -D -m 644 wmcalc.1 %{buildroot}%{_mandir}/man1/wmcalc.1

%files
%doc README COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/wmcalc.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/%{name}/*.xpm
%{_mandir}/man1/*1.*




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.7-3.mga9
+ Revision: 1835179
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.7-2.mga8
+ Revision: 1519305
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 09 2018 eatdirt <eatdirt> 0.7-1.mga7
+ Revision: 1319107
- Upgrade to version 0.7

* Sun Sep 23 2018 umeabot <umeabot> 0.6-4.mga7
+ Revision: 1301680
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 0.6-3.mga7
+ Revision: 1157117
- fix debug packages

* Fri Feb 12 2016 umeabot <umeabot> 0.6-2.mga6
+ Revision: 959181
- Mageia 6 Mass Rebuild

* Thu Oct 01 2015 eatdirt <eatdirt> 0.6-1.mga6
+ Revision: 885563
- Upgrade to version 0.6

* Wed Oct 15 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 738910
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 690327
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 520148
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 385722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 0.4-2.mga3
+ Revision: 314555
- Rebuild for mga3

* Mon Dec 05 2011 eatdirt <eatdirt> 0.4-1.mga2
+ Revision: 176862
- Upgrade to 0.4

* Fri Nov 11 2011 eatdirt <eatdirt> 0.3-1.mga2
+ Revision: 166617
- imported package wmcalc


* Sun Nov 06 2011 Chris Ringeval <dirteat@gmail.com> 0.3-1.mga2
- import wmcalc
